# SourcePath: nftables/20171102dev
Summary: Userspace utility to access the nf_tables packet filter
Name:	 sony-target-dev-nftables
%define	 pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-nftables
Version: 0.7
Release: 14010002
License: GPL-2.0
URL: 	 https://www.netfilter.org/projects/nftables/files/nftables-0.7.tar.bz2
Source:  nftables-%{version}.tar.bz2
Group:   %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}

%description
nftables replaces the popular {ip,ip6,arp,eb}tables. This software provides
a new in-kernel packet classification framework that is based on a
network-specific Virtual Machine (VM) and a new nft userspace command line
tool. 

%package -n %{pkgname}
Summary: Userspace utility to access the nf_tables packet filter
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
nftables replaces the popular {ip,ip6,arp,eb}tables. This software provides
a new in-kernel packet classification framework that is based on a 
network-specific Virtual Machine (VM) and a new nft userspace command line 
tool.

%prep
%setup -q -n nftables-%{version}

%build
# Disable documentation creation
export ac_cv_prog_DOCBOOK2MAN=no
export ac_cv_prog_DB2X_DOCBOOK2MAN=no

%sony_target_dev_setup
%sony_target_dev_configure --disable-static --without-cli
make

%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root -)
%{sony_target_dir}%{sony_target_dev_prefix}/etc/*
%{sony_target_dir}%{sony_target_dev_sbin_dir}/nft

%changelog
* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon Nov 7 2017 Sony Corporation
- Initial build
